<?php

include_once(dirname(__FILE__) . '/vm/vm.php');
include_once(dirname(__FILE__) . '/inc/common.php');
include_once(dirname(__FILE__) . '/inc/util.php');
include_once(dirname(__FILE__) . '/config.php');

/* display page */

echo template_replace($parts['header'], array(
  'title'     => $language['index']['title'],
  'character' => $language['language']['encoding']
));

echo template_replace($parts['index_header'], array(
  'header'    => $language['index']['header']
));

echo template_replace($parts['index_welcome'], array(
  'info1'    => $language['index']['info1'],
  'info2'    => $language['index']['info2'],
  'info3'    => $language['index']['info3'],
  'info4'    => $language['index']['info4'],
  'language' => $language['index']['language'],
));

foreach($available_languages as $value => $name) {
  if(isset($_GET['lang']) && $_GET['lang'] == $value) {
    $selected = true;
  } else if(isset($_SESSION['lang']) && $_SESSION['lang'] == $value) {
    $selected = true;
  } else {
    $selected = false;
  }

  echo template_replace($parts['index_language_element'], array(
    'value'    => $value,
    'name'     => $name,
    'selected' => $selected ? 'selected' : ''
  ));
}

echo template_replace($parts['index_login'], array(
  'login'        => $language['index']['login'],
  'login_text'   => $language['index']['login_text'],
  'password'     => $language['index']['password'],
  'login_button' => $language['index']['login_button']
));

echo $parts['index_footer'];  

echo $parts['footer'];

?>
