<?php

include_once(dirname(__FILE__) . '/vm/vm.php');
include_once(dirname(__FILE__) . '/inc/common.php');
include_once(dirname(__FILE__) . '/inc/util.php');
include_once(dirname(__FILE__) . '/config.php');

/* initialize session */
session_start();

/* clean up form data */
if(ini_get("magic_quotes_gpc")) {
  $_POST['form']['domain']   = stripslashes($_POST['form']['domain']);
  $_POST['form']['password'] = stripslashes($_POST['form']['password']);
}

/* authenticate user */
$_SESSION['password']  = $_POST['form']['password'];

/* single user login */
if(preg_match("/([^ @]+)@([^ @]+)/", $_POST['form']['domain'], $matches)) {
  $_SESSION['user']   = trim($matches[1]);
  $_SESSION['domain'] = trim($matches[2]);
  
  /* vmailmgr interface */
  $vm = new my_vmailmgr($_SESSION['domain'], $_SESSION['password']);

  if($vm->user_info($_SESSION['user']) !== false) {
    $_SESSION['logged_in'] = true;
    $_SESSION['password']  = rc4_encrypt($salt, $_SESSION['password']);
    header("Location: user.php?" . SID);
    exit;
  }
}
/* administrator login */
else {
  $_SESSION['domain'] = trim($_POST['form']['domain']);

  /* vmailmgr interface */
  $vm = new my_vmailmgr($_SESSION['domain'], $_SESSION['password']);

  /* I wish there was an auth() function */
  if($vm->list_users() !== false) {
    $_SESSION['logged_in'] = true;
    $_SESSION['password']  = rc4_encrypt($salt, $_SESSION['password']);
    header("Location: main.php?" . SID);
    exit;
  }
}

/* display page */
echo template_replace($parts['header'], array(
  'title'     => $language['error']['title'],
  'character' => $language['language']['encoding']
));

echo template_replace($parts['error_header'], array(
  'header' => $language['error']['header']
));

echo template_replace($parts['error_message'], array(
  'message' => $language['error']['login_failed'],
  'back'    => $language['error']['back']
));

echo $parts['error_footer'];

echo $parts['footer'];

?>