<?php

include_once(dirname(__FILE__) . '/vm/vm.php');

/*
 *  vmailmgr daemon's host and port
 *
 */ 

/* uncomment if vmailmgr runs with TCP/IP sockets */

class my_vmailmgr extends vmailmgr {
  var $tcp_host = "localhost";
  var $tcp_port = 322;
}

/* uncomment if vmailmgr runs with UNIX domain sockets */

// class my_vmailmgr extends vmailmgr {
//  var $unix_socket = "/tmp/.vmailmgrd";
// }


/*
 *  choose template
 *
 */

 
$template = 'default';


/* 
 *  vmmi has to store the user's password in a session (by default in a file).
 *  For better security it will be encrypted with the passphrase below.
 *  
 *  Make sure to have read the security tips in the manual, as this encryption
 *  only provides minimal and insufficient protection. Never forget that
 *  the vmailmgr password is always identical to the UNIX user password. An
 *  attacker who gets access to the session files might be able to brute force
 *  the users' passwords.
 *
 */
 
$salt = "";

/*
 *  Enable checking for PHP >= 4.1.0 ?
 *
 */

$php_version_checking = true;

?>
